<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Capitulo_1</title>
</head>
<body>
    <h1>Capitulo 1</h1>
    <a>Ejercicio 8</a>

    <script>    
    //Copiado
    const añadirCeros = ( arreglo ) => {
        let row = new Array(arreglo.length),
        columna = new Array(arreglo[0].length);

        for (var i = 0; i < arreglo.length; i++) {
            for (var j = 0; j < arreglo[0].length; j++) {
                if (arreglo[i][j] === 0) {
                    row[i] = true;
                    columna = true;
                }
            }
        }
        for (var i = 0; i < row.length; i++) {
            if (row[i]) nullifyRow(arreglo,i);
        }
        for (var j = 0; j < columna.length; j++) {
            if (columna[i]) nullifyColumn(arreglo,j);
        }
    }

    const nullifyRow = (arreglo, row) => {
        for (var j = 0; j < arreglo[0].length; j++) {
            arreglo[row][j] = 0;
        }
    }

    const nullifyColumn = (arreglo, col) => {
        for (var i = 0; i < arreglo.length; i++) {
            arreglo[i][col] = 0;
        }
    }

    var arreglo = [
      [1,0,1,2],      
    ];

    let añadir = añadirCeros(arreglo);
    console.log(añadir);

    </script>
    
</body>
</html>